.prices {
  background: rgb(75,59,78);
  padding-top: 15px;
  padding-bottom: 15px;
  text-align: center;
  font-family: $montserrat-font;

  &__section {
    @include page-container;
  }

  &__heading {
    padding-bottom: 30px;
    font-size: 28px;
    line-height: 42px;
    font-weight: bold;
    @include whiteCapitalize;
  }

  &__container {
    @include flexAlignCenter;
    flex-direction: column;
  }

  &__subscription-box {
    position: relative;
    margin-bottom: 20px;
    width: 257px;
    height: 457px;
    background-color: rgba(255,255,255,0.11);

    &--zoomed {
      width: 299px;
      height: 560px;
      background: rgb(71,50,73);
    }
  }

  &__subscription-box:last-child {
    margin-bottom: 0;
  }

  &__subscription-name {
    padding: 35px 0;
    font-size: 24px;
    line-height: 24px;
    background-color: rgba(255,255,255,0.06);
    @include whiteUppercase;

    &--zoomed {
      padding: 45px 0;
      background: rgb(63,44,66);
    }
  }

  &__subscription-price {
    padding: 30px 0 20px 0;
    font-size: 60px;
    line-height: 62px;
    @include whiteUppercase;

    &--zoomed {
      padding: 15px 0;
      font-size: 82px;
      line-height: 84px;
    }
  }

  &__subscription-price span {
    font-weight: bold;
  }

  &__subscription-periodicity {
    position: relative;
    //left: 30px;
    padding-bottom: 40px;
    font-size: 14px;
    line-height: 16px;
    @include whiteUppercase;

    &--zoomed {
      padding-bottom: 50px;
    }
  }

  &__subscription-periodicity::after {
    position: absolute;
    top: 42px;
    left: 98px;
    display: inline-block;
    content: "";
    width: 60px;
    border-bottom: 5px solid #8D81AC;
  }

  &__subscription-periodicity--zoomed::after {
    position: absolute;
    top: 52px;
    left: 119.5px;
  }

  &__subscription-license {
    padding-top: 30px;

    &--zoomed {
      padding-top: 40px;
    }
  }

  &__subscription-license, &__subscription-support {
    font-size: 16px;
    line-height: 28px;
    @include whiteCapitalize;

    &--zoomed {
      line-height: 32px;
    }
  }

  &__purchase-btn {
    position: absolute;
    bottom: 40px;
    right: 46px;
    padding: 15px 40px;
    border: none;
    outline: none;
    border-radius: 25px;
    font-family: $montserrat-font;
    font-size: 15px;
    line-height: 15px;
    cursor: pointer;
    background-color: rgba(255,255,255,0.15);
    @include whiteUppercase;

    &--zoomed {
      right: 55px;
      padding: 19px 48px;
    }
  }
}

@media screen and (min-width: $s-size) {
  .prices {
    padding: 90px 10px;
    background-image: url("../img/prices/prices-bg-img.png"), linear-gradient(to bottom, rgba(75, 59, 78, 1) 0%, rgba(75, 59, 78, 1) 100%);
    background-size: cover;

    &__heading {
      padding-bottom: 40px;
      font-size: 42px;
      line-height: 44px;
    }

    &__container {
      @include flexAlignCenter;
      flex-wrap: wrap;
      flex-direction: row;
      justify-content: center;
    }

    &__subscription-box {
      margin: 0 12.5px 30px 12.5px;
    }
  }
}

@media screen and (min-width: 626px) and (max-width: 907px) {
  .prices {

    &__container {
      display: grid;
      grid-template-rows: repeat(2, auto);
      grid-template-columns: repeat(2, auto);
      justify-items: end;
    }

    &__subscription-box--zoomed {
      margin-bottom: 0;
    }
  }
}

@media screen and (min-width: $m-size) {
  .prices {
    padding-top: 115px;
    padding-bottom: 50px;

    &__heading {
      font-size: 48px;
      line-height: 50px;
    }
    &__subscription-box:last-child {
      margin-bottom: 30px;
    }
  }
}